<div class="dialog--header-title d-flex justify-content-center align-items-center">
  <h1 mat-dialog-title>Update Wallet Info</h1>
</div>
<div class="d-flex justify-content-center align-items-center flex-row">
  <div class="w-20 mb-auto">
    <img class="create-wallet-icon " src="../../../assets/images/wallet.png"/>
  </div>
  <form class="w-80 ml-auto">
    <mat-form-field class="w-100">
        <textarea id="wallet-name-input" matInput cdkTextareaAutosize
                  [ngModelOptions]="{standalone: true}" required
                  (keydown.enter)="onUpdateBasicInfoWallet()"
                  placeholder="Wallet Name" [(ngModel)]="wallet.name"></textarea>
    </mat-form-field>
    <mat-error *ngIf="!this.isNameValid">
      Please input wallet name
    </mat-error>
  </form>
</div>
<mat-form-field class="w-80 float-right mt-3">
  <mat-select placeholder="Currency" [(value)]="wallet.currencyCode" required>
    <mat-option *ngFor="let currency of currencyList" [value]="currency.code">
      {{currency.description}}
    </mat-option>
  </mat-select>
</mat-form-field>
<div>
  <button mat-raised-button class="mr-2" (click)="onClose()">Close</button>
  <button mat-raised-button id="update-wallet-button" (click)="onUpdateBasicInfoWallet()">Update</button>
</div>
